package com.steerinfo.ems.tprocessinfor.service.impl;

import com.steerinfo.ems.trmworkproc.mapper.TRmWorkprocMapper;
import com.steerinfo.ems.trmworkproc.model.TRmWorkproc;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.tprocessinfor.model.TProcessinfor;
import com.steerinfo.ems.tprocessinfor.mapper.TProcessinforMapper;
import com.steerinfo.ems.tprocessinfor.service.ITProcessinforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TProcessinfor服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-06-09 10:34
 * 类描述
 * 修订历史：
 * 日期：2022-06-09
 * 作者：generator
 * 参考：
 * 描述：TProcessinfor服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tProcessinforService")
public class TProcessinforServiceImpl extends BaseServiceImpl<TProcessinfor, String> implements ITProcessinforService {

    @Autowired
    private TProcessinforMapper tProcessinforMapper;

    @Override
    protected IBaseMapper<TProcessinfor, String> getMapper() {
        return tProcessinforMapper;
    }

    public List<TProcessinfor> getTree(Map<String, Object> parameters){
        List<TProcessinfor> rows = tProcessinforMapper.getTree(parameters);
        return rows;
    }
    public List<TProcessinfor> getParent(){
        List<TProcessinfor> rows = tProcessinforMapper.getParent();
        return rows;
    }
    @Override
    public Integer getMaxSeqNo() {
        return tProcessinforMapper.getMaxSeqNo();
    }
    @Override
    public List<TProcessinforMapper> getIdAndName(Map<String, Object> parameters) {
        return tProcessinforMapper.getIdAndName(parameters);
    }

    @Override
    public List<TProcessinfor> getMenus(String node,String name) {

        return tProcessinforMapper.getMenus(node,name);
    }


}
